Loading...
Searching...
No Matches
Vector Cross
Math Functions

## Functions

ne10_result_t | ne10_cross_vec3f_c (ne10_vec3f_t *dst, ne10_vec3f_t *src1, ne10_vec3f_t *src2, ne10_uint32_t count)
ne10_result_t | ne10_cross_vec3f_neon (ne10_vec3f_t *dst, ne10_vec3f_t *src1, ne10_vec3f_t *src2, ne10_uint32_t count) asm("ne10_cross_vec3f_neon")
ne10_result_t | ne10_cross_vec3f_asm (ne10_vec3f_t *dst, ne10_vec3f_t *src1, ne10_vec3f_t *src2, ne10_uint32_t count)

## Variables

ne10_result_t(* | ne10_cross_vec3f )(ne10_vec3f_t *dst, ne10_vec3f_t *src1, ne10_vec3f_t *src2, ne10_uint32_t count)
| Performs a cross product operation on the two input vectors.

## Detailed Description

  These functions implement vector cross operation for float data type.

## Function Documentation

## ne10_cross_vec3f_c()

ne10_result_t ne10_cross_vec3f_c | ( | ne10_vec3f_t * | dst,
|  | ne10_vec3f_t * | src1,
|  | ne10_vec3f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 37 of file NE10_cross.c.

## Variable Documentation

## ne10_cross_vec3f

ne10_result_t(* ne10_cross_vec3f) (ne10_vec3f_t *dst, ne10_vec3f_t *src1, ne10_vec3f_t *src2, ne10_uint32_t count) | ( | ne10_vec3f_t * | dst,
|  | ne10_vec3f_t * | src1,
|  | ne10_vec3f_t * | src2,
|  | ne10_uint32_t | count
| ) |  |

extern

Performs a cross product operation on the two input vectors.

This function point could be pointed to one of ne10_cross_vec3f_c, ne10_cross_vec3f_neon and ne10_cross_vec3f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src1 | Pointer to the first source array
  [in] | src2 | Pointer to the second source array
  [in] | count | The number of items in the input arrays

Definition at line 282 of file NE10_init_math.c.